Skip to main content
GET
/
platform
/
data
/
redaction
/
report
/
{reportId}
Error
A valid request URL is required to generate request examples
{
  "reportId": "<string>",
  "schemaVersion": 123,
  "tenantId": 123,
  "status": "<string>",
  "subject": {
    "customerAccountId": 123,
    "userId": "<string>",
    "resolvedEmailAddresses": [
      "<string>"
    ]
  },
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "request": {
    "correlationId": "<string>",
    "attributeFqns": {
      "order": [
        "<string>"
      ],
      "customer": [
        "<string>"
      ],
      "return": [
        "<string>"
      ],
      "shipment": [
        "<string>"
      ]
    },
    "clearDataNodes": {
      "orders": true,
      "checkouts": true,
      "shipments": true
    }
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "executionStartedAt": "2023-11-07T05:31:56Z",
  "executionCompletedAt": "2023-11-07T05:31:56Z",
  "affectedEntities": {
    "orders": {
      "count": 123,
      "ids": [
        "<string>"
      ]
    },
    "payments": {
      "count": 123,
      "ids": [
        "<string>"
      ]
    },
    "checkouts": {
      "count": 123,
      "ids": [
        "<string>"
      ]
    },
    "returns": {
      "count": 123,
      "ids": [
        "<string>"
      ]
    },
    "wishlists": {
      "count": 123,
      "ids": [
        "<string>"
      ]
    },
    "shipments": {
      "count": 123,
      "ids": [
        "<string>"
      ]
    },
    "customerAccountId": 123
  },
  "operationLog": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "phase": "<string>",
      "store": "<string>",
      "entityType": "<string>",
      "entityId": "<string>",
      "operation": "<string>",
      "status": "<string>",
      "recordsAffected": 123,
      "durationMs": 123,
      "errorMessage": "<string>"
    }
  ],
  "errorSummary": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

reportId
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

OK

reportId
string | null
schemaVersion
integer<int32>
tenantId
integer<int32>
status
string | null
subject
object
auditInfo
object
request
object
createdAt
string<date-time>
executionStartedAt
string<date-time> | null
executionCompletedAt
string<date-time> | null
affectedEntities
object
operationLog
object[] | null
errorSummary
string | null